Loading...
Searching...
No Matches
sqlite::result_construct_params_private Struct Reference

`#include <result_construct_params_private.hpp>`

Collaboration diagram for sqlite::result_construct_params_private:

## Public Attributes

sqlite3 * | db
sqlite3_stmt * | statement
int | row_count
boost::function0< void > | access_check
boost::function0< bool > | step

## Detailed Description

Definition at line 42 of file result_construct_params_private.hpp.

## Member Data Documentation

## access_check

boost::function0<void> sqlite::result_construct_params_private::access_check

Definition at line 46 of file result_construct_params_private.hpp.

## db

sqlite3* sqlite::result_construct_params_private::db

Definition at line 43 of file result_construct_params_private.hpp.

## row_count

int sqlite::result_construct_params_private::row_count

Definition at line 45 of file result_construct_params_private.hpp.

## statement

sqlite3_stmt* sqlite::result_construct_params_private::statement

Definition at line 44 of file result_construct_params_private.hpp.

## step

boost::function0<bool> sqlite::result_construct_params_private::step

Definition at line 47 of file result_construct_params_private.hpp.

The documentation for this struct was generated from the following file:

- include/sqlite/private/result_construct_params_private.hpp